

#include "BUILTIN.h"

#include "Bitset.h"
extern OBJ _APartNameEntry_12(OBJ);extern OBJ __APartNameEntry_12;

#include "Array.h"
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;
extern OBJ __AOcOptions_151;
extern OBJ __AAnalyzedGlobSig_23;
extern OBJ _AAnalyzedGlobSig_25(OBJ,OBJ,OBJ);extern OBJ __AAnalyzedGlobSig_25;
extern OBJ _AAnalyzedGlobSig_31(OBJ,OBJ);extern OBJ __AAnalyzedGlobSig_31;
extern TUP2 _AAnalyzedGlobSigH_6(OBJ,OBJ,OBJ);extern OBJ __AAnalyzedGlobSigH_6;
extern OBJ _AComCompose_4(OBJ,OBJ);extern OBJ __AComCompose_4;
extern OBJ _ACompose_4(OBJ,OBJ,OBJ);extern OBJ __ACompose_4;

#include "Nat.h"
extern OBJ _ADEBUG_2(OBJ,OBJ,OBJ);extern OBJ __ADEBUG_2;
extern OBJ _ADEBUG_10(OBJ);extern OBJ __ADEBUG_10;

#include "Char.h"

#include "Denotation.h"
extern OBJ __ASeq_6;
extern OBJ _AErrCom_1(OBJ,OBJ);extern OBJ __AErrCom_1;
extern OBJ _AErrCom_4(OBJ,OBJ,OBJ,OBJ);extern OBJ __AErrCom_4;
extern OBJ _AErrCom_15(OBJ,OBJ,OBJ);extern OBJ __AErrCom_15;
extern OBJ _AGlobSigEvalInst_7(OBJ,OBJ,OBJ);extern OBJ __AGlobSigEvalInst_7;
extern OBJ _AMySeqFun1_12(OBJ,OBJ);extern OBJ __AMySeqFun1_12;
extern OBJ _AMySeqFun2_8(OBJ,OBJ,OBJ);extern OBJ __AMySeqFun2_8;
extern OBJ _AName4SigAna_1(OBJ,OBJ);extern OBJ __AName4SigAna_1;
extern OBJ _AName4SigAna_15(OBJ,OBJ);extern OBJ __AName4SigAna_15;
extern OBJ _AName4SigAna_16(OBJ,OBJ);extern OBJ __AName4SigAna_16;
extern OBJ _AName4SigAna_26(OBJ,OBJ);extern OBJ __AName4SigAna_26;
extern OBJ _AName4SigAna_27(OBJ,OBJ);extern OBJ __AName4SigAna_27;
extern OBJ _AName4SigAna_28(OBJ,OBJ);extern OBJ __AName4SigAna_28;
extern OBJ _AName4SigAna_29(OBJ,OBJ);extern OBJ __AName4SigAna_29;
extern TUP2 _ANameTerm_4(OBJ,OBJ,OBJ,OBJ);extern OBJ __ANameTerm_4;
extern OBJ _ANameTerm_6(OBJ);extern OBJ __ANameTerm_6;
extern TUP5 _ANameTerm_86(OBJ,OBJ,OBJ);extern OBJ __ANameTerm_86;

#include "Int.h"
extern OBJ _ASeqConv_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASeqConv_3;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ _AName_34(OBJ);extern OBJ __AName_34;
extern OBJ _ARep_22(OBJ);extern OBJ __ARep_22;
extern OBJ _AGlobSigEvalOnly_1(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGlobSigEvalOnly_1; /* evalOnly */
extern OBJ _AGlobSigEvalOnly_2(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGlobSigEvalOnly_2; /* closeOpImpDeclS */
extern OBJ _AGlobSigEvalOnly_4(OBJ,OBJ);OBJ __AGlobSigEvalOnly_4; /* myCheck */
extern OBJ _AGlobSigEvalOnly_5(OBJ,OBJ);OBJ __AGlobSigEvalOnly_5; /* codedP? */
extern OBJ _AGlobSigEvalOnly_6(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGlobSigEvalOnly_6; /* closeOpImpDeclh */
OBJ __AGlobSigEvalOnly_7; /* closeOpImpDecl? */
OBJ __AGlobSigEvalOnly_8; /* checkClosedHidden? */
extern OBJ _AGlobSigEvalOnly_9(OBJ,OBJ);OBJ __AGlobSigEvalOnly_9; /* `` */
extern OBJ _AGlobSigEvalOnly_10(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AGlobSigEvalOnly_10; /* checkClosed */
OBJ __AGlobSigEvalOnly_11; /* evalOnly'11 */
OBJ __AGlobSigEvalOnly_12; /* ``'12 */
OBJ __AGlobSigEvalOnly_13; /* ``'13 */
extern OBJ _AGlobSigEvalOnly_14(OBJ,OBJ,OBJ);OBJ __AGlobSigEvalOnly_14; /* checkClosed'14 */
OBJ __AGlobSigEvalOnly_15; /* closeOpImpDecl?'15 */
OBJ __AGlobSigEvalOnly_16; /* checkClosedHidden?'16 */

extern OBJ _AGlobSigEvalOnly_1(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* evalOnly */
{OBJ r;
 {OBJ x127=FLD1(x5,1);OBJ x128=FLD1(x5,2);FLAG x_x5=EXPRD(x5,1);
  if(x_x5){
  }else{
   CPPRD(x127,1);CPPRD(x128,1);}
  {OBJ x137;OBJ x138;
   if(ISTGPRD(x127,1)){
    {OBJ x130=FLD(x127,2);
     if(EXPRD(x127,1)){
      x137=x130;
      FRPRD(FLD(x127,1),1);DSPRDF(x127);
     }else{
      COPY(x130,1);
      x137=x130;
      FRPRD(x127,1);}
     CPCLS(__APartNameEntry_12,1);}
   }else{
    HLT("PartNameEntry at <unknown> : undefined selection flatPN\'PartNameEntry:pN->seq");}
   x138=_ASeqMap_3(__APartNameEntry_12,x137);
   if(ISPRM(x138)){
    CPCLS(__ACom_47,1);
    {OBJ x139;OBJ x140;OBJ x141;OBJ x142;OBJ x143;
     if(x_x5){
      RSOME(x5,x139);FLD1(x139,1)=x2;FLD1(x139,2)=__ABUILTIN_3;
     }else{
      FRPRD(x5,1);PRD1(2,x139);FLD1(x139,1)=x2;FLD1(x139,2)=__ABUILTIN_3;}
     x140=_AErrCom_1(x1,x128);
     PRD(1,0,x141);FLD(x141,1)=x139;
     x142=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x141);
     PRD(2,0,x143);FLD(x143,1)=x142;FLD(x143,2)=__ASeq_6;
     r=_AComCompose_4(x140,x143);}
   }else{
    COPY(x2,1);
    {OBJ x146;
     if(x_x5){
      RSOME(x5,x146);FLD1(x146,1)=x2;FLD1(x146,2)=__ABUILTIN_5;
     }else{
      FRPRD(x5,1);PRD1(2,x146);FLD1(x146,1)=x2;FLD1(x146,2)=__ABUILTIN_5;}
     {OBJ x151=FLD1(x1,5);
      CPCLS(__ACom_47,1);
      {OBJ x158;OBJ x159;OBJ x160;OBJ x161;
       ANat_76(x151,__ANat_9,x158);
       PRD(1,0,x159);FLD(x159,1)=x146;
       x160=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x159);
       PRD(2,0,x161);FLD(x161,1)=x160;FLD(x161,2)=__ASeq_6;
       if(ISTGPRM(x158,1)){
	COPY(x2,1);
	CPCLS(__AGlobSigEvalInst_7,1);
	{OBJ x162;OBJ x163;OBJ x166;
	 x162=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGlobSigEvalInst_7,1))(__AGlobSigEvalInst_7,x2);
	 x163=_AMySeqFun1_12(x162,x138);
	 if(ISPRM(x163)){
	  HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	 }else{
	  {OBJ x165=FLD1(x163,2);
	   COPY(x165,1);
	   x166=x165;}}
	 if(ISPRM(x166)){
	  r=x161;
	  if(EXPRD(x1,1)){
	   DSPRD(x1);
	  }else{
	   DCPRD(x1,1);}
	  FREE(x2,1);
	  FRPRD(x128,1);
	  FREE(x163,1);
	 }else{
	  if(EXPRD(x166,1)){
	   DSPRD(x166);
	  }else{
	   DCPRD(x166,1);}
	  COPY(x2,3);
	  CPCLS(__AGlobSigEvalOnly_4,1);
	  CPCLS(__AAnalyzedGlobSig_25,1);
	  CPCLS(__ACompose_4,1);
	  CPCLS(__AName4SigAna_16,1);
	  {OBJ x169;OBJ x170;OBJ x171;OBJ x172;
	   x169=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AAnalyzedGlobSig_25,2))(__AAnalyzedGlobSig_25,x2,__AAnalyzedGlobSig_23);
	   x170=(*(OBJ(*)(OBJ,OBJ))METHOD(__AName4SigAna_16,1))(__AName4SigAna_16,x2);
	   x171=(*(OBJ(*)(OBJ,OBJ))METHOD(__AGlobSigEvalOnly_4,1))(__AGlobSigEvalOnly_4,x2);
	   x172=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,x171,x170);
	   {OBJ x174=FLD1(x128,2);
	    if(EXPRD(x128,1)){
	     FRPRD(FLD1(x128,1),1);DSPRDF(x128);
	    }else{
	     COPY(x174,1);
	     FRPRD(x128,1);}
	    {OBJ x178;OBJ x175;OBJ x179;OBJ x180;
	     if(ISPRM(x163)){
	      HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
	     }else{
	      {OBJ x176=FLD1(x163,1);
	       COPY(x176,1);
	       x178=x176;
	       CPPRD(__AGlobSigEvalOnly_11,2);
	       CPPRD(__AOcOptions_151,1);}}
	     x175=_ASeqMap_3(x172,x163);
	     x179=_AGlobSigEvalOnly_5(x2,x178);
	     x180=_ASeqConv_3(__AGlobSigEvalOnly_11,__AGlobSigEvalOnly_11,__AOcOptions_151,x169,x175);
	     if(ISTGPRM(x179,1)){
	      r=x161;
	      if(EXPRD(x1,1)){
	       DSPRD(x1);
	      }else{
	       DCPRD(x1,1);}
	      FREE(x174,1);
	      FRPRD(x180,1);
	     }else{
	      {OBJ x181;
	       x181=_AErrCom_15(x1,x174,x180);
	       r=_AComCompose_4(x181,x161);}}}}}}}
       }else{
	r=x161;
	if(EXPRD(x1,1)){
	 DSPRD(x1);
	}else{
	 DCPRD(x1,1);}
	FREE(x2,1);
	FRPRD(x128,1);
	if(EXPRD(x138,1)){
	 DSPRD(x138);
	}else{
	 DCPRD(x138,1);}}}}}}}}
 return r;}

extern OBJ _AGlobSigEvalOnly_2(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* closeOpImpDeclS */
{OBJ r;
 {OBJ x9;
  PRD1(2,x9);FLD1(x9,1)=x2;FLD1(x9,2)=__ABUILTIN_5;
  {OBJ x23=FLD1(x5,1);OBJ x24=FLD1(x5,2);
   if(EXPRD(x5,1)){
    DSPRDF(x5);
   }else{
    CPPRD(x23,1);CPPRD(x24,1);
    FRPRD(x5,1);}
   {OBJ x34;OBJ x25;
    if(ISTGPRD(x23,1)){
     {OBJ x27=FLD(x23,2);
      if(EXPRD(x23,1)){
       x34=x27;
       FRPRD(FLD(x23,1),1);DSPRDF(x23);
      }else{
       COPY(x27,1);
       x34=x27;
       FRPRD(x23,1);}
      CPCLS(__AGlobSigEvalOnly_6,1);}
    }else{
     HLT("PartNameEntry at <unknown> : undefined selection flatPN\'PartNameEntry:pN->seq");}
    x25=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AGlobSigEvalOnly_6,4))(__AGlobSigEvalOnly_6,x1,x24,x3,x4);
    r=_AMySeqFun2_8(x25,x9,x34);}}}
 return r;}

extern OBJ _AGlobSigEvalOnly_4(OBJ x1,OBJ x2) /* myCheck */
{OBJ r;
 {TUP2 x4;
  x4=_AAnalyzedGlobSigH_6(x1,__ANat_5,x2);r=x4.c2;}
 return r;}

extern OBJ _AGlobSigEvalOnly_5(OBJ x1,OBJ x2) /* codedP? */
{OBJ r;
 if(ISPRD(x2)&&(ISTGPRD(x2,2))){
  {OBJ x11;
   x11=_AName4SigAna_1(x1,x2);
   r=_ARep_22(x11);}
 }else{
  FREE(x1,1);
  FREE(x2,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _AGlobSigEvalOnly_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* closeOpImpDeclh */
{OBJ r;
 {OBJ x7=FLD1(x6,1);
  if(EXPRD(x6,1)){
   FLD1(x6,1)=NIL;DSPRD(x6);
  }else{
   COPY(x7,1);
   FRPRD(x6,1);}
  {OBJ x11;
   x11=x7;
   COPY(x11,1);
   r=_AGlobSigEvalOnly_10(x1,x2,x11,x3,x4,x5,x11);}}
 return r;}

extern OBJ _AGlobSigEvalOnly_9(OBJ x1,OBJ x2) /* `` */
{OBJ r;
 CPPRD(__AGlobSigEvalOnly_12,1);
 CPPRD(__AGlobSigEvalOnly_13,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;
  x3=_AName_34(x1);
  x4=_AName_34(x2);
  ADenotation_4(__AGlobSigEvalOnly_12,x4,x5);
  ADenotation_4(x3,x5,x6);
  ADenotation_4(__AGlobSigEvalOnly_13,x6,r);}
 return r;}

extern OBJ _AGlobSigEvalOnly_10(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7) /* checkClosed */
{OBJ r;
 {OBJ x48=FLD1(x6,1);OBJ x49=FLD1(x6,2);
  COPY(x48,3);
  CPCLS(__AGlobSigEvalOnly_14,1);
  {OBJ x50;OBJ x51;OBJ x52;OBJ x53;
   x50=_AName4SigAna_15(x48,x7);
   COPY(x50,1);
   x51=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AGlobSigEvalOnly_14,2))(__AGlobSigEvalOnly_14,x3,x50);
   x52=_ADEBUG_2(__AGlobSigEvalOnly_7,x51,x50);
   COPY(x52,1);
   x53=_AName4SigAna_26(x48,x52);
   if(ISTGPRM(x53,1)){
    FRPRD(x1,1);
    FRPRD(x2,1);
    FREE(x48,1);
    FREE(x52,1);
    CPCLS(__ACom_47,1);
    {OBJ x54;OBJ x55;
     PRD(1,0,x54);FLD(x54,1)=x6;
     x55=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x54);
     PRD(2,0,r);FLD(r,1)=x55;FLD(r,2)=__ASeq_6;}
   }else{
    COPY(x48,1);
    COPY(x52,1);
    {OBJ x56;
     x56=_AName4SigAna_27(x48,x52);
     if(ISTGPRM(x56,1)){
      FRPRD(x1,1);
      FRPRD(x2,1);
      FREE(x48,1);
      FREE(x52,1);
      CPCLS(__ACom_47,1);
      {OBJ x57;OBJ x58;
       PRD(1,0,x57);FLD(x57,1)=x6;
       x58=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x57);
       PRD(2,0,r);FLD(r,1)=x58;FLD(r,2)=__ASeq_6;}
     }else{
      if(EXPRD(x6,1)){
       FREE(FLD1(x6,1),1);DSPRDF(x6);
      }else{
       DCPRD(x6,1);}
      COPY(x48,1);
      COPY(x52,1);
      {TUP2 x60;OBJ x62;
       x60=_ANameTerm_4(x48,x4,x5,x52);
       COPY(x60.c2,1);
       x62=_ANameTerm_6(x60.c2);
       if(ISTGPRM(x62,1)){
	COPY(x60.c1,1);
	CPCLS(__AAnalyzedGlobSig_31,1);
	{OBJ x63;
	 x63=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAnalyzedGlobSig_31,1))(__AAnalyzedGlobSig_31,x60.c1);
	 {OBJ x65=FLD1(x2,2);FLAG x_x2=EXPRD(x2,1);
	  if(x_x2){
	  }else{
	   COPY(x65,1);}
	  CPCLS(__ACom_47,1);
	  {OBJ x66;OBJ x68;OBJ x69;OBJ x70;OBJ x71;OBJ x72;TUP5 x73;OBJ x78;
	   x66=_ADEBUG_2(__AGlobSigEvalOnly_8,x63,x60.c1);
	   x68=_AName4SigAna_29(x66,x52);
	   if(x_x2){
	    RSOME(x2,x69);FRPRD(FLD1(x69,1),1);FLD1(x69,1)=x68;FLD1(x69,2)=__ABUILTIN_3;
	   }else{
	    FRPRD(x2,1);PRD1(2,x69);FLD1(x69,1)=x68;FLD1(x69,2)=__ABUILTIN_3;}
	   PRD(1,0,x70);FLD(x70,1)=x69;
	   x71=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x70);
	   PRD(2,0,x72);FLD(x72,1)=x71;FLD(x72,2)=__ASeq_6;
	   x73=_ANameTerm_86(x48,__ANat_8,x60.c2);
	   FRPRD(x73.c2,1);
	   FRPRD(x73.c3,1);
	   FRPRD(x73.c4,1);
	   x78=_AErrCom_4(x1,x65,x73.c5,x73.c1);
	   r=_AComCompose_4(x78,x72);}}}
       }else{
	FRPRD(x1,1);
	FRPRD(x2,1);
	FREE(x60.c1,1);
	FREE(x60.c2,1);
	CPCLS(__ACom_47,1);
	{OBJ x79;OBJ x80;OBJ x81;OBJ x82;
	 x79=_AName4SigAna_28(x48,x52);
	 PRD1(2,x80);FLD1(x80,1)=x79;FLD1(x80,2)=x49;
	 PRD(1,0,x81);FLD(x81,1)=x80;
	 x82=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x81);
	 PRD(2,0,r);FLD(r,1)=x82;FLD(r,2)=__ASeq_6;}}}}}}}}
 return r;}

extern OBJ _AGlobSigEvalOnly_14(OBJ x1,OBJ x2,OBJ x3) /* checkClosed'14 */
{OBJ r;
 r=_AGlobSigEvalOnly_9(x1,x2);
 return r;}



static OBJ _mt_5_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,1);
 FLDCLS(r,1)=t1;
 return r;}

static OBJ _mt_5_1_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),t1,t2,t3,t4);
 return r;}

static OBJ _mt_6_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,4);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 return r;}

static OBJ _mt_6_4_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),t1,t2);
 return r;}

static OBJ _mt_7_0_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,5);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 return r;}

static OBJ _mt_7_5_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),t1,t2);
 return r;}

init_AGlobSigEvalOnly()
{
 static int visited=0; if(visited) return; visited=1;
 init_ABitset();
 init_APatterns();
 init_AAttributes();
 init_ADArray();
 init_APartNameEntry();
 init_ANatMap();
 init_AGlobSig();
 init_AArray();
 init_ACom();
 init_APartName();
 init_AOcOptions();
 init_AAnalyzedGlobSig();
 init_AObjects();
 init_AAnalyzedGlobSigH();
 init_APair();
 init_AComCompose();
 init_AOcPos();
 init_ACompose();
 init_ANat();
 init_ADEBUG();
 init_AChar();
 init_ADenotation();
 init_ASeq();
 init_AErrCom();
 init_AOption();
 init_AGlobSigEvalInst();
 init_AStream();
 init_AMySeqFun1();
 init_AVoid();
 init_AMySeqFun2();
 init_AString();
 init_AName4SigAna();
 init_AFile();
 init_ANameTerm();
 init_AInt();
 init_ASeqConv();
 init_ATable();
 init_ASeqMap();
 init_AUniqueTable();
 init_AOcError();
 init_ADeclEntry();
 init_ASetByBST();
 init_AImpExpEntry();
 init_ABSTree();
 init_AName();
 init_ATree();
 init_AGlobSigImpl();
 init_AMapReduce();
 init_ARep();
 init_ASeqReduce();
 init_APragma();
 init_AAbsyFun3();
 init_AImpl();
 init_AGlobSigToText();
 init_AGlobPragma();
 init_AImpDecl4SigAna();
 init_AMap();
 init_ALexem();
 init_ASet();
 init_AFct();
 DEN("-zcheckClosedHidden",__AGlobSigEvalOnly_16);
 DEN("-zcloseOpImpDecl",__AGlobSigEvalOnly_15);
 LCLS(3,_AGlobSigEvalOnly_14,__AGlobSigEvalOnly_14);
 DEN("Only-name:",__AGlobSigEvalOnly_13);
 DEN(" --> ",__AGlobSigEvalOnly_12);
 DEN("\n      ",__AGlobSigEvalOnly_11);
 CLS(7,_AGlobSigEvalOnly_10,__AGlobSigEvalOnly_10);
 CLS(2,_AGlobSigEvalOnly_9,__AGlobSigEvalOnly_9);
 CLS(6,_AGlobSigEvalOnly_6,__AGlobSigEvalOnly_6);
 CLS(2,_AGlobSigEvalOnly_5,__AGlobSigEvalOnly_5);
 CLS(2,_AGlobSigEvalOnly_4,__AGlobSigEvalOnly_4);
 CLS(5,_AGlobSigEvalOnly_2,__AGlobSigEvalOnly_2);
 CLS(5,_AGlobSigEvalOnly_1,__AGlobSigEvalOnly_1);
 MTH(5,0,1,_mt_5_0_1);LZYMTH(5,0,1,_mt_5_0_1);
 MTH(5,1,4,_mt_5_1_4);LZYMTH(5,1,4,_mt_5_1_4);
 MTH(6,0,4,_mt_6_0_4);LZYMTH(6,0,4,_mt_6_0_4);
 MTH(6,4,2,_mt_6_4_2);LZYMTH(6,4,2,_mt_6_4_2);
 MTH(7,0,5,_mt_7_0_5);LZYMTH(7,0,5,_mt_7_0_5);
 MTH(7,5,2,_mt_7_5_2);LZYMTH(7,5,2,_mt_7_5_2);
 CPPRD(__AGlobSigEvalOnly_15,1);
 __AGlobSigEvalOnly_7=_ADEBUG_10(__AGlobSigEvalOnly_15);
 CPPRD(__AGlobSigEvalOnly_16,1);
 __AGlobSigEvalOnly_8=_ADEBUG_10(__AGlobSigEvalOnly_16);}

